# Interface IImportStructureProvider

All Known Implementing Classes:
  `FileStoreStructureProvider, FileSystemStructureProvider, ZipFileStructureProvider`

public interface IImportStructureProvider
Interface which can provide structure and content information for an element (for example, a file system element). Used by the import wizards to abstract the commonalities between importing from the file system and importing from an archive.

## Method Summary

Modifier and Type
Method
Description
`List`
`getChildren(Object element)`
Returns a collection with the children of the specified structured element.
`InputStream`
`getContents(Object element)`
Returns the contents of the specified structured element, or `null` if there is a problem determining the element's contents.
`String`
`getFullPath(Object element)`
Returns the full path of the specified structured element.
`String`
`getLabel(Object element)`
Returns the display label of the specified structured element.
`boolean`
`isFolder(Object element)`
Returns a boolean indicating whether the passed structured element represents a container element (as opposed to a leaf element).

## Method Details

### getChildren

List getChildren(Object element)
Returns a collection with the children of the specified structured element.

Parameters:
  `element` - the element for which to compute the children
Returns:
  the list of child elements

### getContents

InputStream getContents(Object element)
Returns the contents of the specified structured element, or `null` if there is a problem determining the element's contents.

Note:: The client is responsible for closing the stream when finished.

Parameters:
  `element` - a structured element
Returns:
  the contents of the structured element, or `null`

### getFullPath

String getFullPath(Object element)
Returns the full path of the specified structured element.

Parameters:
  `element` - a structured element
Returns:
  the display label of the structured element

### getLabel

String getLabel(Object element)
Returns the display label of the specified structured element.

Parameters:
  `element` - a structured element
Returns:
  the display label of the structured element

### isFolder

boolean isFolder(Object element)
Returns a boolean indicating whether the passed structured element represents a container element (as opposed to a leaf element).

Parameters:
  `element` - java.lang.Object
Returns:
  boolean